/****************************************************************************
 
  Header file for template Flat Sate Machine 
  based on the Gen2 Events and Services Framework

 ****************************************************************************/

#ifndef RX_SM_H
#define RX_SM_H

// Event Definitions
#include "ES_Configure.h" /* gets us event definitions */
#include "ES_Types.h"     /* gets bool type for returns */

/* Define states for the XBee communication state machine */
typedef enum {WaitingFor7E, WaitingForMSB, WaitingForLSB, ReceivingData, WaitingForCheckSum} RXState_t;

// Public Function Prototypes

bool InitRX_SM ( uint8_t Priority );
bool PostRX_SM( ES_Event ThisEvent );
ES_Event RunRX_SM( ES_Event ThisEvent );
RXState_t QueryRX_SM ( void );

uint8_t QueryDataLength(void);
uint8_t *QueryXBeeData(void);


#endif /* RX_SM_H */

