/****************************************************************************
 Description
    Header file for Tiva_XBee_Comm.c

 Notes
	Contains function prototypes and states for Tiva_XBee_Comm.c
****************************************************************************/

#ifndef Tiva_XBee_Comm_H
#define Tiva_XBee_Comm_H

#include "ES_Configure.h"
#include "ES_Framework.h"
#include "ES_Timers.h"
#include "ES_Queue.h"

/* Define states for the XBee communication state machine */
typedef enum {Unpaired, WaitingForAckTransmitSuccess, Paired} XBeeState_t;

/* Function Prototypes */
ES_Event RunTiva_XBee_Comm(ES_Event CurrentEvent);
bool InitTiva_XBee_Comm(uint8_t Priority);
bool PostTiva_XBee_Comm(ES_Event ThisEvent);
XBeeState_t QueryXBeeState(void);

#endif /*Tiva_XBee_Comm_H*/
